Bug 1269016 - [abrt] gthumb: gth_browser_exec_task(): gthumb killed by SIGSEGV
[abrt] gthumb: gth_browser_exec_task(): gthumb killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d062b1658b5ab69bef1c345ad75...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 21:41 EDT by smitna
Modified: 2016-07-19 14:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.53 KB, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details
File: core_backtrace (14.30 KB, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details
File: dso_list (15.50 KB, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details
File: environ (3.43 KB, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details
File: maps (77.18 KB, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details
File: mountinfo (3.71 KB, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details
File: open_fds (2.25 KB, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details
File: var_log_messages (295 bytes, text/plain)
2015-10-05 21:41 EDT, smitna
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 759631 None None None 2015-12-18 09:26 EST

  None (edit)
Description smitna 2015-10-05 21:41:11 EDT
Description of problem:
1)  Create an empty directory; e.g.
$ mkdir -- '/tmp/gthumb-bug'

2)  Copy two identical image files into that directory; e.g.
$ for i in 1 2 ; do cp -- /usr/share/pixmaps/fedora-logo.png "/tmp/gthumb-bug/fedora-logo-${i}.png" ; done

3)  Open gThumb and enable the "Find Duplicates" extension under "Preferences", "Extensions".   Restart gThumb if prompted.

4)  Invoke the "Find Duplicates" function with the following parameter values:
Start at:  /tmp/gthumb-bug
Include sub-folders:  enabled
Filter:  Media

5)  Press the "Find" button.  A new dialog should appear reporting 1 duplicate.

6)  Press the "Select" button, and select the "leave the oldest duplicates" menu item.

7)  Press the "Delete" button.  gThumb should quit unexpectedly.

Version-Release number of selected component:
gthumb-3.4.0-2.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gthumb .
crash_function: gth_browser_exec_task
executable:     /usr/bin/gthumb
global_pid:     3977
kernel:         4.1.8-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gth_browser_exec_task at gth-browser.c:5519
 #1 delete_file_permanently at gth-file-source-vfs.c:664
 #2 delete_permanently_response_cb at gth-file-source-vfs.c:679
 #7 _g_closure_invoke_va at gclosure.c:831
 #10 gtk_button_do_release at gtkbutton.c:1899
 #11 gtk_real_button_released at gtkbutton.c:2017
 #16 multipress_released_cb at gtkbutton.c:613
 #17 ffi_call_unix64 at ../src/x86/unix64.S:76
 #18 ffi_call at ../src/x86/ffi64.c:525
 #19 g_cclosure_marshal_generic_va at gclosure.c:1561
Comment 1 smitna 2015-10-05 21:41:14 EDT
Created attachment 1080118 [details]
File: backtrace
Comment 2 smitna 2015-10-05 21:41:15 EDT
Created attachment 1080119 [details]
File: cgroup
Comment 3 smitna 2015-10-05 21:41:16 EDT
Created attachment 1080120 [details]
File: core_backtrace
Comment 4 smitna 2015-10-05 21:41:18 EDT
Created attachment 1080121 [details]
File: dso_list
Comment 5 smitna 2015-10-05 21:41:19 EDT
Created attachment 1080122 [details]
File: environ
Comment 6 smitna 2015-10-05 21:41:20 EDT
Created attachment 1080123 [details]
File: limits
Comment 7 smitna 2015-10-05 21:41:23 EDT
Created attachment 1080124 [details]
File: maps
Comment 8 smitna 2015-10-05 21:41:24 EDT
Created attachment 1080125 [details]
File: mountinfo
Comment 9 smitna 2015-10-05 21:41:25 EDT
Created attachment 1080126 [details]
File: namespaces
Comment 10 smitna 2015-10-05 21:41:26 EDT
Created attachment 1080127 [details]
File: open_fds
Comment 11 smitna 2015-10-05 21:41:26 EDT
Created attachment 1080128 [details]
File: proc_pid_status
Comment 12 smitna 2015-10-05 21:41:27 EDT
Created attachment 1080129 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-07-19 14:07:07 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.